org.apache.ignite.internal.pagemem.wal.record.delta

## Class PartitionDestroyRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PartitionDestroyRecord

    public class PartitionDestroyRecord
    extends WALRecord

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`PartitionDestroyRecord(int grpId, int partId)`

### Method Summary

Methods
`int` `groupId()`
`void` `groupId(int grpId)`
`int` `partitionId()`
`void` `partitionId(int partId)`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PartitionDestroyRecord

    public PartitionDestroyRecord(int grpId,
                          int partId)

Parameters:
  `grpId` - Cache group ID.
  `partId` - Partition ID.

### Method Detail

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### groupId

    public int groupId()

Returns:
  Cache group ID.

#### groupId

    public void groupId(int grpId)

Parameters:
  `grpId` - Cache group ID.

#### partitionId

    public int partitionId()

Returns:
  Partition ID.

#### partitionId

    public void partitionId(int partId)

Parameters:
  `partId` - Partition ID.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017